#include <L298NX2.h>

// Pin definition
const unsigned int EN_A = 3;
const unsigned int IN1_A = 5;
const unsigned int IN2_A = 6;
const int sensorPin = A0;

const unsigned int IN1_B = 7;
const unsigned int IN2_B = 8;
const unsigned int EN_B = 9;

int val; // potentiometer value

// Initialize the motor
L298NX2 motors(EN_A, IN1_A, IN2_A, EN_B, IN1_B, IN2_B);

void setup() {
  // Set speed for motor
  motors.setSpeed(80);

}

void loop() {
  val = analogRead(sensorPin);            // reads the value of the potentiometer (value between 0 and 1023)
  val = map(val, 0, 1023, -100, 100);     // scale it for use with the motor (value between -100 and 100)
  
  // Starts the motor in one direction should the potentiometer be turned clockwise
  if (val > 20) {
    motors.forward();
  }
  // Starts the motor in the other direction should the potentiometer be turned counterclockwise
  else if (val < -20) {
    motors.backward();
  }
  // Stops the motor if the potentiometer is near the middle
  else {
    motors.stop();
  }
  delay(15);
}
